#ifndef _HELPER_H
#define _HELPER_H

void resetInputString(char *inputString, int length, int *inputStringCounter);
uint32_t endian_swap_u32(uint32_t x);
int32_t endian_swap_32(int32_t x);
uint16_t endian_swap_u16(uint16_t x);
int16_t endian_swap_16(int16_t x);
void endian_swap_navidata(NaviData_t* navidata);
void endian_swap_notification(Notification_t* notification);
void endian_swap_status(Status_t* status);
int newMAC(uint8_t newMAC[6], uint8_t oldMAC[6]);
void getIp(struct sockaddr_storage * ip, char * ipStr);
void getMAC(uint8_t* mac, char * interface);
void outputIp(struct sockaddr_storage * ip);
int getIfn(char * interface);

#endif
