#ifndef _UAVEXT_H
#define	_UAVEXT_H

int generateClientCommunicationSocket(char *hostname);
int generateControllerCommunicationSocket();
int generateControllerPingSocket(int ifn);
int generateControllerNotificationSocket(int ifn, struct sockaddr_storage subscriber, char *port);
int generateUdpNotificationListeningSocket(int port);
int generateUdpPingListeningSocket(int port, char* iface);
int sendPing(int sockfd_udp, char* output);
int sendNotification(int sockfd_udp, char* output);
int sendTcpPacketOnExistingSocket(int sockfd, char * output, int outputLength, int expectedResponse, int retriesOnFailure);
int sendTcpPacketOnNewSocket(char * hostname, char * output, int outputLength, int expectedResponse, int retriesOnFailure);
int receiveUdpPacket(int socket, char *buf, char *sender, int sendersize);
int receiveTcpPacket(int sockfd, char * inbuffer, int bufferlength);
int acceptControllerSocket(int sockfd_tcp);
void closeSocket(int sockfd_tcp);
int readSocketInput(int sockfd);
int socketCommandReceived(char *inputString, int length, uint8_t* command, char* data);
void inSocketCommand(char *inputString, int length, uint8_t* command, char* data);
struct sockaddr_storage getAddr(char * interface);
void *get_in_addr(struct sockaddr *sa);
void *getCastedSockaddr(struct sockaddr_storage *sa);
void sigchld_handler(int s);
void correctHost(char * host);

#endif	/* _UAVEXT_H */

